Package org.apache.lucene.search.matchhighlight

## Interface MatchRegionRetriever.FieldValueProvider

- Enclosing class:
    MatchRegionRetriever
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface MatchRegionRetriever.FieldValueProvider

  An abstraction that provides document values for a given field. The default implementation just reaches to a preloaded `Document`. It is possible to write a more efficient implementation on top of a reusable character buffer (that reuses the buffer while retrieving hit regions for documents).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<CharSequence>` | `getValues​(String field)` |

- - ### Method Detail

    - #### getValues

          List<CharSequence> getValues​(String field)
                                throws IOException

      Throws:
        `IOException`